Logo
OpenScaler

Get trial status

GET
/v1/my/trial

Returns trial eligibility and status for the authenticated user.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/my/trial"
{  "level": 1,  "is_trial_exempt": false,  "voucher": {    "redeemed_at": "2024-04-15T14:54:31.486Z",    "redeem_by": "2024-04-25T14:54:31.486Z",    "duration_days": 30,    "trial_expires_at": "2024-05-15T14:54:31.486Z",    "days_remaining": 12,    "trial_expired": false  }}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}